"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const chalk = require("chalk");
const cli_utils_1 = require("@ionic/cli-utils");
let InfoCommand = class InfoCommand extends cli_utils_1.Command {
    run(inputs, options) {
        return __awaiter(this, void 0, void 0, function* () {
            const info = yield cli_utils_1.gatherEnvironmentInfo();
            const details = [
                ['Cordova CLI', info['cordovaVersion']],
                ['Ionic Framework Version', info['ionic']],
                ['Ionic CLI Version', info['cli']],
                ['ios-deploy version', info['iosDeploy']],
                ['ios-sim version', info['iosSim']],
                ['OS', info['os']],
                ['Node Version', info['node']],
                ['Xcode version', info['xcode']]
            ];
            this.env.log.msg(`
  Your system information:

    ${details
                .filter(info => info[1])
                .map(info => `${chalk.bold(info[0])}: ${info[1]}`).join('\n    ')}`);
        });
    }
};
InfoCommand = __decorate([
    cli_utils_1.CommandMetadata({
        name: 'info',
        description: 'List information about the current runtime environment'
    })
], InfoCommand);
exports.InfoCommand = InfoCommand;
